org.bdgenomics.adam.instrumentation

# Timers

###
Related Doc: package instrumentation

#### object Timers extends Metrics

Contains Timers that are used to instrument ADAM.

Linear Supertypes
Metrics, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Timers
2. Metrics
3. Serializable
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val BQSRInDriver: Timer

5. #### val BroadcastJoinAndGroupByRight: Timer

6. #### val BroadcastingKnownSnps: Timer

7. #### val BuildingTrees: Timer

8. #### val CheckingForMask: Timer

9. #### val CollectingSnps: Timer

10. #### val ComputeCovariates: Timer

11. #### val ComputeQualityScore: Timer

12. #### val ComputingCycleCovariate: Timer

13. #### val ComputingDinucCovariate: Timer

14. #### val ComputingOriginalScores: Timer

15. #### val ConvertToSAM: Timer

16. #### val ConvertToSAMRecord: Timer

17. #### val CreateIndelRealignmentTargets: Timer

18. #### val CreateReferencePositionPair: Timer

19. #### val CreateSequenceDictionary: Timer

20. #### val CreatingKnownSnpsTable: Timer

21. #### val CreatingRecalibrationTable: Timer

22. #### val FinalizingRealignments: Timer

23. #### val FindTargets: Timer

24. #### val FullOuterShuffleJoin: Timer

25. #### val GetExtraValues: Timer

26. #### val GetReferenceFromFile: Timer

27. #### val GetReferenceFromReads: Timer

28. #### val GrowingTrees: Timer

29. #### val InnerBroadcastJoin: Timer

30. #### val InnerShuffleJoin: Timer

31. #### val InvertingRecalibrationTable: Timer

32. #### val JoinTargets: Timer

33. #### val LeftOuterShuffleJoin: Timer

34. #### val LoadAlignments: Timer

35. #### val LoadBam: Timer

36. #### val LoadBed: Timer

37. #### val LoadCoverage: Timer

38. #### val LoadFasta: Timer

39. #### val LoadFastaSequences: Timer

40. #### val LoadFastaSlices: Timer

41. #### val LoadFastq: Timer

42. #### val LoadFeatures: Timer

43. #### val LoadFragments: Timer

44. #### val LoadGenotypes: Timer

45. #### val LoadGff3: Timer

46. #### val LoadGtf: Timer

47. #### val LoadIndexedBam: Timer

48. #### val LoadIndexedVcf: Timer

49. #### val LoadInterleavedFastq: Timer

50. #### val LoadInterleavedFastqFragments: Timer

51. #### val LoadIntervalList: Timer

52. #### val LoadNarrowPeak: Timer

53. #### val LoadPairedFastq: Timer

54. #### val LoadPairedFastqFragments: Timer

55. #### val LoadParquet: Timer

56. #### val LoadReferenceFile: Timer

57. #### val LoadSequenceDictionary: Timer

58. #### val LoadSequences: Timer

59. #### val LoadSlices: Timer

60. #### val LoadUnpairedFastq: Timer

61. #### val LoadVariants: Timer

62. #### val LoadVcf: Timer

63. #### val MapTargets: Timer

64. #### val MarkDuplicatesInDriver: Timer

65. #### val MarkReads: Timer

66. #### val ObservationAccumulatorComb: Timer

67. #### val ObservationAccumulatorSeq: Timer

68. #### val ObservingRead: Timer

69. #### val PerformDuplicateMarking: Timer

70. #### val QueryingRecalibrationTable: Timer

71. #### val ReadCovariates: Timer

72. #### val ReadResidues: Timer

73. #### val RealignIndelsInDriver: Timer

74. #### val RealignTargetGroup: Timer

75. #### val RecalibrateRead: Timer

76. #### val RightOuterBroadcastJoin: Timer

77. #### val RightOuterBroadcastJoinAndGroupByRight: Timer

78. #### val RightOuterShuffleJoin: Timer

79. #### val RightOuterShuffleJoinAndGroupByLeft: Timer

80. #### val RunningMapSideJoin: Timer

81. #### val SAMSave: Timer

82. #### val SaveAsADAM: Timer

83. #### val SaveAsVcf: Timer

84. #### val ScoreAndMarkReads: Timer

85. #### val ShuffleJoinAndGroupByLeft: Timer

86. #### val SortAlignments: Timer

87. #### val SortAlignmentsByIndex: Timer

88. #### val SortTargets: Timer

89. #### val SortingRightSide: Timer

90. #### val SweepReadOverReferenceForQuality: Timer

91. #### val SweepReadsOverConsensus: Timer

92. #### val TreeJoin: Timer

93. #### val TrimCigar: Timer

94. #### val TrimLowQualityInDriver: Timer

95. #### val TrimMDTag: Timer

96. #### val TrimRead: Timer

97. #### val TrimReadsInDriver: Timer

98. #### val WriteADAMRecord: Timer

99. #### val WriteBAMRecord: Timer

100. #### val WriteCRAMRecord: Timer

101. #### val WriteSAMRecord: Timer

102. #### final def asInstanceOf[T0]: T0

     Definition Classes
       Any

103. #### val clock: Clock

     Definition Classes
       Metrics

104. #### def clone(): AnyRef

     Attributes
       protected[java.lang]
     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

105. #### final def eq(arg0: AnyRef): Boolean

     Definition Classes
       AnyRef

106. #### def equals(arg0: Any): Boolean

     Definition Classes
       AnyRef → Any

107. #### def finalize(): Unit

     Attributes
       protected[java.lang]
     Definition Classes
       AnyRef
     Annotations
       @throws( classOf[java.lang.Throwable] )

108. #### final def getClass(): Class[_]

     Definition Classes
       AnyRef → Any

109. #### def hashCode(): Int

     Definition Classes
       AnyRef → Any

110. #### final def isInstanceOf[T0]: Boolean

     Definition Classes
       Any

111. #### final def ne(arg0: AnyRef): Boolean

     Definition Classes
       AnyRef

112. #### final def notify(): Unit

     Definition Classes
       AnyRef

113. #### final def notifyAll(): Unit

     Definition Classes
       AnyRef

114. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

115. #### def timer(name: String): Timer

     Definition Classes
       Metrics

116. #### def toString(): String

     Definition Classes
       AnyRef → Any

117. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

118. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

119. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

### Inherited from Metrics

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped